
%define arcadename %{name}-arcade
%define launchername %{name}-launcher

Name:           fs-uae
Version:        2.8.3
Release:        %mkrel 1
Summary:        Amiga emulator with on-screen GUI and online play support
License:        GPLv2+
Group:          Emulators
Url:            http://fs-uae.net
Source0:        http://fs-uae.net/fs-uae/stable/%{version}/%{name}-%{version}.tar.gz
Source1:        http://fs-uae.net/fs-uae/stable/%{version}/%{arcadename}-%{version}.tar.gz
Source2:        http://fs-uae.net/fs-uae/stable/%{version}/%{launchername}-%{version}.tar.gz
Patch0:         fs-uae-2.6.2-desktop.patch

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libmpeg2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python-setuptools
BuildRequires:  zip
Recommends:     %{arcadename}
Recommends:     %{launchername}

%description
FS-UAE is an Amiga emulator for Windows, Linux and Mac OS X
based on UAE/WinUAE, with a focus on emulating games.

Features include emulation of Amiga 500, 1200, 4000, CD32
and CDTV, perfectly smooth scrolling on 50Hz displays, support
for floppy images in ADF and IPF formats, CD-ROM images in ISO
or BIN/CUE format, mounting folders on your computer as Amiga
hard drives, support for Picasso 96 drivers for high-color and
high-resolution Workbench displays, and more.

A unique feature is support for cross-platform online play. You
can now play Amiga games against (or with) friends over the
Internet.

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/%{name}-device-helper
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_docdir}/%{name}/

#----------------------------------------------------------------------

%package -n     %{arcadename}
Summary:        Fullscreen game browser for FS-UAE
BuildArch:      noarch
Requires:       python-qt5-core
Requires:       python-qt5-gui
Requires:       python-qt5-network
Requires:       python-qt5-opengl
Requires:       python-qt5-qml
Requires:       python-qt5-quick
Requires:       python-qt5-webkitwidgets
Requires:       python-qt5-widgets
Requires:       python-qt5-x11extras
Requires:       %{name} = %{version}

%description -n %{arcadename}
FS-UAE Arcade is a fullscreen Amiga game browser for FS-UAE.

%files -n       %{arcadename}
%{_bindir}/%{arcadename}
%{_datadir}/%{arcadename}/
%{_datadir}/applications/%{arcadename}.desktop
%{_docdir}/%{arcadename}/
%{_iconsdir}/hicolor/*/apps/%{arcadename}.png

#----------------------------------------------------------------------

%package -n     %{launchername}
Summary:        Graphical configuration frontend and launcher for FS-UAE
BuildArch:      noarch
Requires:       python-qt5-core
Requires:       python-qt5-gui
Requires:       python-qt5-network
Requires:       python-qt5-opengl
Requires:       python-qt5-qml
Requires:       python-qt5-quick
Requires:       python-qt5-webkitwidgets
Requires:       python-qt5-widgets
Requires:       python-qt5-x11extras
Requires:       %{name} = %{version}

%description -n %{launchername}
FS-UAE Launcher is a graphical configuration program and launcher for FS-UAE.

%files -n       %{launchername} -f %{launchername}.lang
%{_bindir}/%{launchername}
%{_datadir}/%{launchername}/
%{_datadir}/applications/%{launchername}.desktop
%{_docdir}/%{launchername}/
%{_iconsdir}/hicolor/*/apps/%{launchername}.png

#----------------------------------------------------------------------

%prep
%setup -q -a1 -a2
%patch0 -p1

%build
%configure2_5x \
%ifnarch %{ix86} x86_64
  --disable-jit
%endif

%make

for pname in %{arcadename} %{launchername}; do
pushd ${pname}-%{version}
%{__python} setup.py build
# run make for translation update if needed
%make
popd
done

%install
%make_install

for pname in %{arcadename} %{launchername}; do
  # takes care of the setup.py install + some stuff
  %make_install -C ${pname}-%{version} prefix=%{_prefix}
done

%find_lang %{name}
%find_lang %{launchername}


%changelog
* Wed Mar 21 2018 adrianomorselli <adrianomorselli> 2.8.3-1uplos2018
- updated to add uae-launcher gui thanks to mga
